## org.apache.myfaces.renderkit.html
Class HtmlLinkRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlLinkRendererBase

Direct Known Subclasses:
  HtmlLinkRenderer, HtmlSortHeaderRenderer, HtmlTreeImageCommandLinkRenderer, HtmlTreeNodeRenderer

public abstract class HtmlLinkRendererBase
extends HtmlRenderer

Version:
  $Revision: 291056 $ $Date: 2005-09-22 21:34:02 -0400 (Thu, 22 Sep 2005) $
Author:
  Manfred Geiler

Field Summary
`static java.lang.String` `URL_STATE_MARKER`
`static int` `URL_STATE_MARKER_LEN`

Constructor Summary
`HtmlLinkRendererBase()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`boolean` `getRendersChildren()`
`protected java.lang.String` `getStyle(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent link)` Can be overwritten by derived classes to overrule the style to be used.
`protected java.lang.String` `getStyleClass(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent link)` Can be overwritten by derived classes to overrule the style class to be used.
`protected void` `renderCommandLinkStart(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.String clientId, java.lang.Object value, java.lang.String style, java.lang.String styleClass)`
`protected void` `renderJavaScriptAnchorStart(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, java.lang.String clientId)`
`protected void` `renderLinkEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected void` `renderNonJavaScriptAnchorStart(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, java.lang.String clientId)`
`protected void` `renderOutputLinkStart(javax.faces.context.FacesContext facesContext, javax.faces.component.UIOutput output)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL_STATE_MARKER

    public static final java.lang.String URL_STATE_MARKER

See Also:
  Constant Field Values

### URL_STATE_MARKER_LEN

    public static final int URL_STATE_MARKER_LEN

Constructor Detail

### HtmlLinkRendererBase

    public HtmlLinkRendererBase()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStyle

    protected java.lang.String getStyle(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent link)

  Can be overwritten by derived classes to overrule the style to be used.

### getStyleClass

    protected java.lang.String getStyleClass(javax.faces.context.FacesContext facesContext,
                                             javax.faces.component.UIComponent link)

  Can be overwritten by derived classes to overrule the style class to be used.

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlRenderer`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderCommandLinkStart

    protected void renderCommandLinkStart(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent component,
                                          java.lang.String clientId,
                                          java.lang.Object value,
                                          java.lang.String style,
                                          java.lang.String styleClass)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderJavaScriptAnchorStart

    protected void renderJavaScriptAnchorStart(javax.faces.context.FacesContext facesContext,
                                               javax.faces.context.ResponseWriter writer,
                                               javax.faces.component.UIComponent component,
                                               java.lang.String clientId)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderNonJavaScriptAnchorStart

    protected void renderNonJavaScriptAnchorStart(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.context.ResponseWriter writer,
                                                  javax.faces.component.UIComponent component,
                                                  java.lang.String clientId)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderOutputLinkStart

    protected void renderOutputLinkStart(javax.faces.context.FacesContext facesContext,
                                         javax.faces.component.UIOutput output)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderLinkEnd

    protected void renderLinkEnd(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`